System requirements for Endpoint Protection 14.2 RU1

book

Article ID: 151050

calendar_today

Updated On:

Products

Endpoint Protection

Issue/Introduction

 

Resolution

In general, the system requirements for Symantec Endpoint Protection Manager and the Symantec Endpoint Protection clients are the same as those of the operating systems on which they are supported.

Note:

An earlier version of Symantec Endpoint Protection Manager may not be able to correctly manage a client with a later version. Issues with content updates and client management may occur.

For example, Symantec Endpoint Protection Manager 14.0.1 or earlier cannot correctly provide a version 14.2 client with its version-specific monikers. Symantec Endpoint Protection Manager for versions earlier than 14 MP2 cannot correctly provide client versions later than 14.0.1 with their version-specific monikers.

Symantec Endpoint Protection Manager system requirements

The following tables describe the software and hardware requirements for Symantec Endpoint Protection Manager.

Software

Component Requirements

Operating system

  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016
  • Windows Server 2019

Note:

Desktop operating systems are not supported.

Windows Server Core edition is not supported. Windows Server Core does not include Internet Explorer, which Symantec Endpoint Protection Manager requires to work.

Web browser

The following browsers are supported for web console access to Symantec Endpoint Protection Manager and for viewing the Symantec Endpoint Protection Manager Help:

  • Microsoft Edge
    Note: The 32-bit version Windows 10 does not support web console access on the Edge browser.
  • Microsoft Internet Explorer 11
  • Mozilla Firefox 5.x through 66.x
  • Google Chrome 73.x

Database

The Symantec Endpoint Protection Manager includes an embedded database. You may instead choose to use a database from one of the following versions of Microsoft SQL Server:

  • SQL Server 2008, SP4
  • SQL Server 2008 R2, SP3
  • SQL Server 2012, RTM - SP4
  • SQL Server 2014, RTM - SP3
  • SQL Server 2016, RTM, SP1
  • SQL Server 2017, RTM

Note:

The SQL Server Express Edition database is not supported.

SQL Server databases that are hosted on Amazon RDS are supported.

Note:

If Symantec Endpoint Protection uses a SQL Server database and your environment only uses TLS 1.2, ensure that SQL Server supports TLS 1.2. You may need to patch SQL Server. See the following for more information:

TLS 1.2 support for Microsoft SQL Server

This recommendation applies to SQL Server 2008, 2012, and 2014. Without the SQL Server patch to support TLS 1.2, you may have issues when you upgrade from Symantec Endpoint Protection 12.1 to 14.

Other environmental requirements

In purely IPv6 networks, the IPv4 stack must still be installed and disabled. If the IPv4 stack is uninstalled, Symantec Endpoint Protection Manager does not work.

Hardware

Component Requirements

Processor

Intel Pentium Dual-Core or equivalent minimum, 8-core or greater recommended

Note:

Intel Itanium IA-64 processors are not supported.

Physical RAM

2 GB RAM available minimum; 8 GB or more available recommended

Note:

Your Symantec Endpoint Protection Manager server may require additional RAM depending on the RAM requirements of other applications that are already installed.

For example, if Microsoft SQL Server is installed on the Symantec Endpoint Protection Manager server, the server should have a minimum of 8 GB available.

Display

1024 x 768 or larger

Hard drive when installing to the system drive

With an embedded database or a local SQL Server database:

  • 40 GB available minimum (200 GB recommended) for the management server and database

With a remote SQL Server database:

  • 40 GB available minimum (100 GB recommended) for the management server
  • Additional available disk space on the remote server for the database

Hard drive when installing to an alternate drive

With an embedded database or a local SQL Server database:

  • The system drive requires 15 GB available minimum (100 GB recommended)
  • The installation drive requires 25 GB available minimum (100 GB recommended)

With a remote SQL Server database:

  • The system drive requires 15 GB available minimum (100 GB recommended)
  • The installation drive requires 25 GB available minimum (100 GB recommended)
  • Additional available disk space on the remote server for the database

Note:

If you use a SQL Server database, you may need to make more disk space available. The amount and location of additional space depends on which drive SQL Server uses, database maintenance requirements, and other database settings.

Symantec Endpoint Protection client for Windows system requirements

Software

Support for Windows Vista and Windows Server 2008 RTM was dropped for this release for the client installation. For details on what's new in this release, see What's New for Symantec Endpoint Protection 14.2 RU1 (14.2.1).

Component Requirements

Operating system (desktop)

  • Windows 7 (32-bit, 64-bit; RTM and SP1)
  • Windows Embedded 7 Standard, POSReady, and Enterprise (32-bit and 64-bit)
  • Windows 8 (32-bit, 64-bit)
  • Windows Embedded 8 Standard (32-bit and 64-bit)
  • Windows 8.1 (32-bit, 64-bit), including Windows To Go
  • Windows 8.1 update for April 2014 (32-bit, 64-bit)
  • Windows 8.1 update for August 2014 (32-bit, 64-bit)
  • Windows Embedded 8.1 Pro, Industry Pro, and Industry Enterprise (32-bit and 64-bit)
  • Windows 10 (version 1507) (32-bit, 64-bit), including Windows 10 Enterprise 2015 LTSB
  • Windows 10 November Update (version 1511) (32-bit, 64-bit)
  • Windows 10 Anniversary Update (version 1607) (32-bit, 64-bit), including Windows 10 Enterprise 2016 LTSB
  • Windows 10 Creators Update (version 1703) (32-bit, 64-bit)
  • Windows 10 Fall Creators Update (version 1709) (32-bit, 64-bit)
  • Windows 10 April 2018 Update (version 1803) (32-bit, 64-bit)
  • Windows 10 October 2018 Update (version 1809) (32-bit, 64-bit),  including Windows 10 Enterprise 2019 LTSC
  • Windows 10 May 2019 Update (version 1903) (32-bit, 64-bit)
  • Windows 10 November 2019 Update (version 1909) (32-bit, 64-bit) (as of 14.2 RU2)

Operating system (server)

  • Windows Server 2008 R2
  • Windows Small Business Server 2011
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2012 R2 update for April 2014
  • Windows Server 2012 R2 update for August 2014
  • Windows Server 2016
  • Windows Server 2019
  • Windows Server, version 1803 (Server Core)
  • Windows Server, version 1809 (Server Core)
  • Windows Server, version 1903 (Server Core)

Browser Intrusion Prevention

Browser Intrusion Prevention support is based on the version of the Client Intrusion Detection System (CIDS) engine.

For more information, see Supported browsers for Browser Intrusion Prevention in Endpoint Protection.

Hardware

Component Requirements

Processor (for physical computers)

  • 32-bit processor: 2 GHz Intel Pentium 4 or equivalent minimum
  • 64-bit processor: 2 GHz Pentium 4 with x86-64 support or equivalent minimum

Note:

Itanium processors are not supported.

Processor (for virtual computers)

One virtual socket and one core per socket at 1 GHz minimum (one virtual socket and two cores per socket at 2 GHz recommended)

Note:

The hypervisor resource reservation must be enabled.

Physical RAM

1 GB (2 GB recommended) or higher if required by the operating system 

Display

800 x 600 or larger

Hard drive

Disk space requirements depend on the type of client you install, which drive you install to, and where the program data file resides. The program data folder is usually on the system drive in the default location C:\ProgramData.

Available disk space is always required on the system drive, regardless of which installation drive you choose.

Hard drive system requirements:

Note:

Space requirements are based on NTFS file systems. Additional space is also required for content updates and logs.

 

Symantec Endpoint Protection client for Windows available hard drive system requirements when installed to the system drive

Client type Requirements

Standard

With the program data folder located on the system drive:

  • 395 MB*

With the program data folder located on an alternate drive:

  • System drive: 180 MB
  • Alternate installation drive: 350 MB

Embedded / VDI

With the program data folder located on the system drive:

  • 245 MB*

With the program data folder located on an alternate drive:

  • System drive: 180 MB
  • Alternate installation drive: 200 MB

Dark network

With the program data folder located on the system drive:

  • 545 MB*

With the program data folder located on an alternate drive:

  • System drive: 180 MB
  • Alternate installation drive: 500 MB

* An additional 135 MB is required during installation.

Symantec Endpoint Protection client for Windows available hard drive system requirements when installed to an alternate drive

Client type Requirements

Standard

With the program data folder located on the system drive:

  • System drive: 380 MB
  • Alternate installation drive: 15 MB*

With the program data folder located on an alternate drive:**

  • System drive: 30 MB
  • Program data drive: 350 MB
  • Alternate installation drive: 150 MB

Embedded / VDI

With the program data folder located on the system drive:

  • System drive: 230 MB
  • Alternate installation drive: 15 MB*

With the program data folder located on an alternate drive:**

  • System drive: 30 MB
  • Program data drive: 200 MB
  • Alternate installation drive: 150 MB

Dark network

With the program data folder located on the system drive:

  • System drive: 530 MB
  • Alternate installation drive: 15 MB*

With the program data folder located on an alternate drive:**

  • System drive: 30 MB
  • Program data drive: 500 MB
  • Alternate installation drive: 150 MB

* An additional 135 MB is required during installation.

** If the program data folder is the same as the alternate installation drive, add 15 MB to the program data drive for your total. However, the installer still needs the full 150 MB to be available on the alternate installation drive during installation.

Symantec Endpoint Protection client for Windows Embedded system requirements

Component Requirements

Processor

1 GHz Intel Pentium

Physical RAM

256 MB

Hard drive

The Symantec Endpoint Protection Embedded / VDI client requires the following available hard disk space:

  •  Installed to the system drive: 245 MB
  • Installed to an alternate drive: 230 MB on system drive, and 15 MB on the alternate drive

 An additional 135 MB is needed during installation.

 These figures assume that the program data folder is on the system drive. For more detailed information, or for the requirements of the other client types, see the Symantec Endpoint Protection client for Windows system requirements.

Embedded operating system

  • Windows Embedded Standard 7 (32-bit and 64-bit)
  • Windows Embedded POSReady 7 (32-bit and 64-bit)
  • Windows Embedded Enterprise 7 (32-bit and 64-bit)
  • Windows Embedded 8 Standard (32-bit and 64-bit)
  • Windows Embedded 8.1 Industry Pro (32-bit and 64-bit)
  • Windows Embedded 8.1 Industry Enterprise (32-bit and 64-bit)
  • Windows Embedded 8.1 Pro (32-bit and 64-bit)

Required minimum components

  • Filter Manager (FltMgr.sys)
  • Performance Data Helper (pdh.dll)
  • Windows Installer Service

Templates

  • Application Compatibility (Default)
  • Digital Signage
  • Industrial Automation
  • IE, Media Player, RDP
  • Set Top Box
  • Thin Client

The Minimum Configuration template is not supported.

The Enhanced Write Filter (EWF) and the Unified Write Filter (UWF) are not supported. The recommended write filter is the File Based Write Filter (FBWF) installed along with the Registry Filter.

See Symantec Endpoint Protection support for Windows Embedded.

Symantec Endpoint Protection client for Mac system requirements

Component Requirements

Processor

64-Bit Intel Core 2 Duo or later

Physical RAM

2 GB of RAM

Hard drive

500 MB of available hard disk space for the installation

Display

800 x 600

Operating system 

Symantec Endpoint Protection client for Linux system requirements

Component Requirements

Hardware 

  • Intel Pentium 4 (2 GHz) or later processor
  • 1 GB of RAM
  • 7 GB of available hard disk space

Operating systems

  • Amazon Linux
  • CentOS 6U3 - 6U9, 7 - 7U6; 32-bit and 64-bit
  • Debian 6.0.5 Squeeze, Debian 8 Jessie; 32-bit and 64-bit
  • Fedora 16, 17; 32-bit and 64-bit
  • Oracle Linux (OEL) 6U2, 6U4, 6U5, 6U8; 7, 7U1, 7U2, 7U3
  • Red Hat Enterprise Linux Server (RHEL) 6U2 - 6U9, 7 - 7U6
  • SUSE Linux Enterprise Server (SLES) 11 SP1 - 11 SP4, 32-bit and 64-bit; 12, 12 SP1 - 12 SP3, 64-bit
  • SUSE Linux Enterprise Desktop (SLED) 11 SP1 - 11 SP4, 32-bit and 64-bit; 12 SP3, 64-bit
  • Ubuntu 12.04, 14.04, 16.04, 18.04; 32-bit and 64-bit

For a list of supported operating system kernels, see Supported Linux kernels for Symantec Endpoint Protection.

Graphical desktop environments

You can use the following graphical desktop environments to view the Symantec Endpoint Protection for Linux client:

  • KDE
  • Gnome
  • Unity

Other environmental requirements

  • Glibc
    Any operating system that runs glibc earlier than 2.6 is not supported.
  • i686-based dependent packages on 64-bit computers
    Many of the executable files in the Linux client are 32-bit programs. For 64-bit computers, you must install the i686-based dependent packages before you install the Linux client. If you have not already installed the i686-based dependent packages, you can install them by command line. This installation requires superuser privileges, which the following commands demonstrate with sudo:
    • For Red Hat-based distributions:
      sudo yum install glibc.i686 libgcc.i686 libX11.i686
    • For Debian-based distributions:
      sudo apt-get install ia32-libs
    • For Ubuntu-based distributions:
      sudo apt-get install libx11-6:i386 libgcc1:i386 libc6:i386
  • net-tools or iproute2
    Symantec Endpoint Protection uses one of these two tools, depending on what is already installed on the computer.
  • XFS file systems that contain inode64 attributes are not supported for 14.2.
  • Developer tools
    Auto-compile and the manual compile process for the Auto-Protect kernel module require that you install certain developer tools. These developer tools include gcc and the kernel source and header files. For details on what to install and how to install them for specific Linux versions, see Manually compile Auto-Protect kernel modules for Endpoint Protection for Linux.